curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/genesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/genes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/genes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"gene": "<string>",
"sequence_variant": "<string>",
"source": "<string>",
"source_url": "<string>",
"label": "<string>",
"biological_context": "<string>",
"biosample_term": "<string>",
"intron_chr": "<string>",
"intron_start": "<string>",
"intron_end": "<string>",
"effect_size": 123,
"neg_log10_pvalue": 123,
"neg_log10_pvalue_adj": 123,
"log2FC": 123,
"posterior_inclusion_probability": 123,
"coefficient_stddev": 123,
"power": 123,
"significant": true,
"standard_error": 123,
"z_score": 123,
"credible_set_min_r2": 123,
"method": "<string>",
"crispr_modality": "<string>",
"p_value": 123,
"chr": "<string>",
"study": "<string>",
"name": "<string>",
"class": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Variants Genes
Retrieve variant-gene pairs including eQTLs & splice QTLs from AFGR and eQTL Catalogue, and CRISPR screen and Variant-EFFECTS from IGVF, by variants.
The following parameters can be used to set thresholds on -log10 p_value: gt (>), gte (>=), lt (<), lte (<=).
Set verbose = true to retrieve full info on the corresponding variants and genes.
At least one of these properties must be defined: spdi, hgvs, rsid, ca_id, variant_id, region, method, or files_filesets.
The limit parameter controls the page size and can not exceed 500.
Pagination is 0-based.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
eQTL:
Single result
- spdi = NC_000001.11:40241653:TGAA:TGAAATTGAA
- effect_size = gte:0.3
- method = eQTL
Group results
- region = chr1:40241650-40241759 (maximum length: 10kb)
- method = eQTL
spliceQTL:
Single result
- spdi = NC_000001.11:898757:AAAAAA:AAAAAAA
- effect_size = gte:0.3
- method = spliceQTL
Group results
- region = chr1:898750-898759 (maximum length: 10kb)
- method = spliceQTL
Variant-EFFECTS:
Single result
- spdi = NC_000010.11:79347741:AGGT:TCAG
- effect_size = lt:-0.6
- method = Variant-EFFECTS
Group results
- region = chr10:79347740-79347749 (maximum length: 10kb)
- method = Variant-EFFECTS
CRISPR screen:
query by variant identifier
- spdi = NC_000016.10:28930710:G:A
- method = CRISPR screen
query by region
- region = chr16:28930700-28930800 (maximum length: 10kb)
- method = CRISPR screen
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/genesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/genes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/genes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"gene": "<string>",
"sequence_variant": "<string>",
"source": "<string>",
"source_url": "<string>",
"label": "<string>",
"biological_context": "<string>",
"biosample_term": "<string>",
"intron_chr": "<string>",
"intron_start": "<string>",
"intron_end": "<string>",
"effect_size": 123,
"neg_log10_pvalue": 123,
"neg_log10_pvalue_adj": 123,
"log2FC": 123,
"posterior_inclusion_probability": 123,
"coefficient_stddev": 123,
"power": 123,
"significant": true,
"standard_error": 123,
"z_score": 123,
"credible_set_min_r2": 123,
"method": "<string>",
"crispr_modality": "<string>",
"p_value": 123,
"chr": "<string>",
"study": "<string>",
"name": "<string>",
"class": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
eQTL, spliceQTL, variant effect on gene expression CRISPR screen, Variant-EFFECTS, eQTL, spliceQTL AFGR, EBI, IGVF modulates expression of, modulates splicing of Homo sapiens true, false Response
Successful response